Subject: Re: [PATCH 0/3] mm/powerpc: enabling memory soft dirty tracking

From: "Aneesh Kumar K.V" <[email-masked]>
Date: Sat, 17 Oct 2015 17:37:44 +0530

Andrew Morton <[email-masked]> writes:

> On Fri, 16 Oct 2015 14:07:05 +0200 Laurent Dufour <[email-masked]> wrote:
>
>> This series is enabling the software memory dirty tracking in the
>> kernel for powerpc.  This is the follow up of the commit 0f8975ec4db2
>> ("mm: soft-dirty bits for user memory changes tracking") which
>> introduced this feature in the mm code.
>> 
>> The first patch is fixing an issue in the code clearing the soft dirty
>> bit.  The PTE were not cleared before being modified, leading to hang
>> on ppc64.
>> 
>> The second patch is fixing a build issue when the transparent huge
>> page is not enabled.
>> 
>> The third patch is introducing the soft dirty tracking in the powerpc
>> architecture code. 
>
> I grabbed these patches, but they're more a ppc thing than a core
> kernel thing.  I can merge them into 4.3 with suitable acks or drop
> them if they turn up in the powerpc tree.  Or something else?

patch 1 and patch 2 are fixes for generic code. That can go via -mm
tree. The ppc64 bits should go via linux-powerpc tree. We have changes
in this area pending to be merged upstream and patch 3 will result
in conflicts.

-aneesh